package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * gen_test_table 实体类
 * Fri Apr 20 09:24:30 CST 2018  Suo Chen Cheng
 */ 
@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GenTestTable{

/**
* 	 主键:id
*/
	private Integer id;

/**
* 	 我的:字段一
*/
	private String myColumn;

/**
* 	 测试:aaaxx
*/
	private String aaaTest;

/**
* 	 bbb标识: N 为xxx Y为yyy
*/
	private String bbbFlag;

/**
* 	 no_comment
*/
	private String noComment;

/**
* 	 创建时间
*/
	private Date createTime;

/**
* 	 更新时间
*/
	private Date updateTime;

/**
* 	 删除标识:N为未删除，Y为删除
*/
	private String delFlag;

	public void setId(Integer id){
		this.id=id;
	}

	public Integer getId(){
		return id;
	}

	public void setMyColumn(String myColumn){
		this.myColumn=myColumn;
	}

	public String getMyColumn(){
		return myColumn;
	}

	public void setAaaTest(String aaaTest){
		this.aaaTest=aaaTest;
	}

	public String getAaaTest(){
		return aaaTest;
	}

	public void setBbbFlag(String bbbFlag){
		this.bbbFlag=bbbFlag;
	}

	public String getBbbFlag(){
		return bbbFlag;
	}

	public void setNoComment(String noComment){
		this.noComment=noComment;
	}

	public String getNoComment(){
		return noComment;
	}

	public void setCreateTime(Date createTime){
		this.createTime=createTime;
	}

	public Date getCreateTime(){
		return createTime;
	}

	public void setUpdateTime(Date updateTime){
		this.updateTime=updateTime;
	}

	public Date getUpdateTime(){
		return updateTime;
	}

	public void setDelFlag(String delFlag){
		this.delFlag=delFlag;
	}

	public String getDelFlag(){
		return delFlag;
	}

}

